Ubuntu

pulseaudio crashed with SIGABRT in report_jack_state()

Reported by bigbro2k6 on 2012-02-16
122
This bug affects 16 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
High
David Henningsson

Bug Description

no sound device recorgnized by system

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: pulseaudio 1:1.1-0ubuntu8
ProcVersionSignature: Ubuntu 3.2.0-16.25-generic 3.2.6
Uname: Linux 3.2.0-16-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: ALC269VB Analog [ALC269VB Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/hwC0D3', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D3p', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xf7a00000 irq 54'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:10ec0269,14621095,00100100 HDA:80862805,80860101,00100000'
   Controls : 25
   Simple ctrls : 12
CrashCounter: 1
Date: Fri Feb 17 00:16:12 2012
ExecutablePath: /usr/bin/pulseaudio
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120216)
ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/false
PulseSinks: Error: command ['pacmd', 'list-sinks'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
PulseSources: Error: command ['pacmd', 'list-sources'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
Signal: 6
SourcePackage: pulseaudio
StacktraceTop:
 raise () from /lib/x86_64-linux-gnu/libc.so.6
 abort () from /lib/x86_64-linux-gnu/libc.so.6
 ?? () from /usr/lib/pulse-1.1/modules/module-alsa-card.so
 module_alsa_card_LTX_pa__init () from /usr/lib/pulse-1.1/modules/module-alsa-card.so
 pa_module_load () from /usr/lib/libpulsecore-1.1.so
Title: pulseaudio crashed with SIGABRT in raise()
UpgradeStatus: Upgraded to precise on 2012-02-16 (0 days ago)
UserGroups:

dmi.bios.date: 03/08/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: E1754IMS.10E
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: MS-1754
dmi.board.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.board.version: REV:1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: MS-1754
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrE1754IMS.10E:bd03/08/2011:svnMICRO-STARINTERNATIONALCO.,LTD:pnMS-1754:pvrREV1.0:rvnMICRO-STARINTERNATIONALCO.,LTD:rnMS-1754:rvrREV1.0:cvnMS-1754:ct10:cvrN/A:
dmi.product.name: MS-1754
dmi.product.version: REV:1.0
dmi.sys.vendor: MICRO-STAR INTERNATIONAL CO., LTD

Related branches

bigbro2k6 (bigbro2k6) wrote :

StacktraceTop:
 report_jack_state (elem=0xcae3b0, mask=<optimized out>) at modules/alsa/module-alsa-card.c:324
 init_jacks (u=0xc6f600) at modules/alsa/module-alsa-card.c:365
 module_alsa_card_LTX_pa__init (m=0xc6cc70) at modules/alsa/module-alsa-card.c:519
 pa_module_load (c=0xc58160, name=0x7fb2c1ab7b70 "module-alsa-card", argument=0xc6c520 "device_id=\"0\" name=\"pci-0000_00_1b.0\" card_name=\"alsa_card.pci-0000_00_1b.0\" namereg_fail=false tsched=yes ignore_dB=no deferred_volume=yes card_properties=\"module-udev-detect.discovered=1\"") at pulsecore/module.c:109
 verify_access (u=0xc68c70, d=0xc6c470) at modules/module-udev-detect.c:329

Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
summary: - pulseaudio crashed with SIGABRT in raise()
+ pulseaudio crashed with SIGABRT in report_jack_state()
tags: removed: need-amd64-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
David Henningsson (diwic) wrote :

Hi and thanks for trying out the development version of Ubuntu!

This seems to hit quite a few people, my apologies!

Would it be possible for one or more of you to add both a pulseaudio log (see https://wiki.ubuntu.com/PulseAudio/Log ) and an alsa-info (see https://wiki.ubuntu.com/Audio/AlsaInfo )? Both logs should be from the same system.

Thanks in advance!

Changed in pulseaudio (Ubuntu):
importance: Medium → High
assignee: nobody → David Henningsson (diwic)
status: Confirmed → Incomplete
visibility: private → public
Przemysław Kulczycki (azrael) wrote :

Here's my pulseaudio log

Przemysław Kulczycki (azrael) wrote :

Here's my alsa-info output

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/933825

tags: added: iso-testing
medic (medic123) wrote :

root@Slap-Top:~# echo autospawn = no >> ~/.pulse/client.conf
root@Slap-Top:~# killall pulseaudio
pulseaudio: no process found
root@Slap-Top:~# LANG=C pulseaudio -vvvv --log-time=1 > ~/pulseverbose.log 2>&1
Aborted (core dumped)

David Henningsson (diwic) wrote :

Thanks! I've been able to spot two different problems in the log:

D: [pulseaudio] alsa-mixer.c: Removing path 'analog-output-headphones' as it is a subset of 'analog-output-speaker'.

1) If the jacks have different state.plugged / state.unplugged that should be enough not for one path to be a subset of another

2) When the paths are removed due to subset elimination, the jack seems not to be removed correctly, but still showing up later causing the PulseAudio to crash.

Both of these needs fixing.

Changed in pulseaudio (Ubuntu):
status: Incomplete → In Progress
David Henningsson (diwic) wrote :

Ok, I've pushed a fix to the bzr branch, so we can upload once we're out of beta freeze. If you would like to test right now that the fix works, please do:

sudo apt-get build-dep pulseaudio
sudo apt-get install bzr-builddep
bzr branch lp:~ubuntu-audio-dev/pulseaudio/ubuntu.precise
cd ubuntu.precise
bzr bd
...install the resulting debs (at least the ones that correspond to what you already have installed)
reboot and test.

Changed in pulseaudio (Ubuntu):
status: In Progress → Fix Committed
pi-xel (pi-xel) wrote :

Fix works for me :)

pi-xel (pi-xel) wrote :

Thank you! (and sorry for double post)

David Henningsson (diwic) wrote :

Thanks for the feedback pi-xel!

Btw,

sudo apt-get install bzr-builddep

in the above instructions should be

sudo apt-get install bzr-builddeb

Download full text (4.3 KiB)

I got the following error:

dpkg-deb: building package `libpulsedsp-dbg' in
`../libpulsedsp-dbg_1.1-0ubuntu11_amd64.deb'.
 dpkg-genchanges >../pulseaudio_1.1-0ubuntu11_amd64.changes
dpkg-genchanges: not including original source code in upload
 dpkg-source --after-build pulseaudio-1.1
dpkg-buildpackage: binary and diff upload (original source NOT included)
Now signing changes and any dsc files...
 signfile pulseaudio_1.1-0ubuntu11.dsc David Henningsson <
<email address hidden>>
gpg: skipped "David Henningsson <email address hidden>": secret
key not available
gpg: /tmp/debsign.xAPcjnzH/pulseaudio_1.1-0ubuntu11.dsc: clearsign failed:
secret key not available
debsign: gpg error occurred! Aborting....
debuild: fatal error at line 1271:
running debsign failed
bzr: ERROR: The build failed.

On Wed, Feb 29, 2012 at 7:43 AM, David Henningsson <
<email address hidden>> wrote:

> Thanks for the feedback pi-xel!
>
> Btw,
>
> sudo apt-get install bzr-builddep
>
> in the above instructions should be
>
> sudo apt-get install bzr-builddeb
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (934162).
> https://bugs.launchpad.net/bugs/933825
>
> Title:
> pulseaudio crashed with SIGABRT in report_jack_state()
>
> Status in “pulseaudio” package in Ubuntu:
> Fix Committed
>
> Bug description:
> no sound device recorgnized by system
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.04
> Package: pulseaudio 1:1.1-0ubuntu8
> ProcVersionSignature: Ubuntu 3.2.0-16.25-generic 3.2.6
> Uname: Linux 3.2.0-16-generic x86_64
> NonfreeKernelModules: nvidia
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> ApportVersion: 1.91-0ubuntu1
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: PCH [HDA Intel PCH], device 0: ALC269VB Analog [ALC269VB Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path',
> '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/hwC0D3',
> '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D3p',
> '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
> Card0.Amixer.info:
> Card hw:0 'PCH'/'HDA Intel PCH at 0xf7a00000 irq 54'
> Mixer name : 'Intel CougarPoint HDMI'
> Components : 'HDA:10ec0269,14621095,00100100
> HDA:80862805,80860101,00100000'
> Controls : 25
> Simple ctrls : 12
> CrashCounter: 1
> Date: Fri Feb 17 00:16:12 2012
> ExecutablePath: /usr/bin/pulseaudio
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64
> (20120216)
> ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/false
> PulseSinks: Error: command ['pacmd', 'list-sinks'] failed with exit code
> 1: No PulseAudio daemon running, or not running as session daemon.
> PulseSources: Error: command ['pacmd', 'list-sources'] failed with exit
> code 1: No PulseAudio daemon running, or not running as session daemon.
> Signal: 6
> SourcePackage: pulseaudio
> StacktraceTop:
> raise () from /lib/x86_64-linux-gnu/li...

Read more...

pi-xel (pi-xel) wrote :

You have to change the first entry in file "debian/changelog" from David Henningsson's PGP Key to your own (if you don't have one, create one, see Google :) )

pi-xel (pi-xel) wrote :

Ok, forget about it. Even when packets are not signed with PGP key and build fails, there are installable files in directory build-area.

Ben Moudry (benm-l) wrote :
Download full text (3.7 KiB)

Sound is working now. I do have an issue with unmet dependency though.

The following packages have unmet dependencies:
 pulseaudio : Depends: libpulse0 (>= 1:1.1-0ubuntu11) but 1:1.1-0ubuntu10
is installed

On Wed, Feb 29, 2012 at 8:15 AM, pi-xel <email address hidden> wrote:

> Ok, forget about it. Even when packets are not signed with PGP key and
> build fails, there are installable files in directory build-area.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (934162).
> https://bugs.launchpad.net/bugs/933825
>
> Title:
> pulseaudio crashed with SIGABRT in report_jack_state()
>
> Status in “pulseaudio” package in Ubuntu:
> Fix Committed
>
> Bug description:
> no sound device recorgnized by system
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.04
> Package: pulseaudio 1:1.1-0ubuntu8
> ProcVersionSignature: Ubuntu 3.2.0-16.25-generic 3.2.6
> Uname: Linux 3.2.0-16-generic x86_64
> NonfreeKernelModules: nvidia
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> ApportVersion: 1.91-0ubuntu1
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: PCH [HDA Intel PCH], device 0: ALC269VB Analog [ALC269VB Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path',
> '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/hwC0D3',
> '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D3p',
> '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
> Card0.Amixer.info:
> Card hw:0 'PCH'/'HDA Intel PCH at 0xf7a00000 irq 54'
> Mixer name : 'Intel CougarPoint HDMI'
> Components : 'HDA:10ec0269,14621095,00100100
> HDA:80862805,80860101,00100000'
> Controls : 25
> Simple ctrls : 12
> CrashCounter: 1
> Date: Fri Feb 17 00:16:12 2012
> ExecutablePath: /usr/bin/pulseaudio
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64
> (20120216)
> ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
> ProcEnviron:
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/false
> PulseSinks: Error: command ['pacmd', 'list-sinks'] failed with exit code
> 1: No PulseAudio daemon running, or not running as session daemon.
> PulseSources: Error: command ['pacmd', 'list-sources'] failed with exit
> code 1: No PulseAudio daemon running, or not running as session daemon.
> Signal: 6
> SourcePackage: pulseaudio
> StacktraceTop:
> raise () from /lib/x86_64-linux-gnu/libc.so.6
> abort () from /lib/x86_64-linux-gnu/libc.so.6
> ?? () from /usr/lib/pulse-1.1/modules/module-alsa-card.so
> module_alsa_card_LTX_pa__init () from
> /usr/lib/pulse-1.1/modules/module-alsa-card.so
> pa_module_load () from /usr/lib/libpulsecore-1.1.so
> Title: pulseaudio crashed with SIGABRT in raise()
> UpgradeStatus: Upgraded to precise on 2012-02-16 (0 days ago)
> UserGroups:
>
> dmi.bios.date: 03/08/2011
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: E1754IMS.10E
> dmi.board.asset.tag: To be filled by O.E.M.
> dmi.board.name: MS-1754
> dmi.board.vendor: MICRO-STAR INTERNATIONAL CO., LTD
...

Read more...

Ben Moudry (benm-l) wrote :
Download full text (4.0 KiB)

Nevermind, didn't see the libpulse package in the build-area. Sorry

On Wed, Feb 29, 2012 at 8:30 AM, Moudry, Benjamin <email address hidden>wrote:

> Sound is working now. I do have an issue with unmet dependency though.
>
> The following packages have unmet dependencies:
> pulseaudio : Depends: libpulse0 (>= 1:1.1-0ubuntu11) but 1:1.1-0ubuntu10
> is installed
>
>
> On Wed, Feb 29, 2012 at 8:15 AM, pi-xel <email address hidden> wrote:
>
>> Ok, forget about it. Even when packets are not signed with PGP key and
>> build fails, there are installable files in directory build-area.
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (934162).
>> https://bugs.launchpad.net/bugs/933825
>>
>> Title:
>> pulseaudio crashed with SIGABRT in report_jack_state()
>>
>> Status in “pulseaudio” package in Ubuntu:
>> Fix Committed
>>
>> Bug description:
>> no sound device recorgnized by system
>>
>> ProblemType: Crash
>> DistroRelease: Ubuntu 12.04
>> Package: pulseaudio 1:1.1-0ubuntu8
>> ProcVersionSignature: Ubuntu 3.2.0-16.25-generic 3.2.6
>> Uname: Linux 3.2.0-16-generic x86_64
>> NonfreeKernelModules: nvidia
>> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
>> ApportVersion: 1.91-0ubuntu1
>> Architecture: amd64
>> ArecordDevices:
>> **** List of CAPTURE Hardware Devices ****
>> card 0: PCH [HDA Intel PCH], device 0: ALC269VB Analog [ALC269VB Analog]
>> Subdevices: 1/1
>> Subdevice #0: subdevice #0
>> AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path',
>> '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/hwC0D3',
>> '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D3p',
>> '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
>> Card0.Amixer.info:
>> Card hw:0 'PCH'/'HDA Intel PCH at 0xf7a00000 irq 54'
>> Mixer name : 'Intel CougarPoint HDMI'
>> Components : 'HDA:10ec0269,14621095,00100100
>> HDA:80862805,80860101,00100000'
>> Controls : 25
>> Simple ctrls : 12
>> CrashCounter: 1
>> Date: Fri Feb 17 00:16:12 2012
>> ExecutablePath: /usr/bin/pulseaudio
>> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64
>> (20120216)
>> ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
>> ProcEnviron:
>> PATH=(custom, no user)
>> LANG=en_US.UTF-8
>> SHELL=/bin/false
>> PulseSinks: Error: command ['pacmd', 'list-sinks'] failed with exit code
>> 1: No PulseAudio daemon running, or not running as session daemon.
>> PulseSources: Error: command ['pacmd', 'list-sources'] failed with exit
>> code 1: No PulseAudio daemon running, or not running as session daemon.
>> Signal: 6
>> SourcePackage: pulseaudio
>> StacktraceTop:
>> raise () from /lib/x86_64-linux-gnu/libc.so.6
>> abort () from /lib/x86_64-linux-gnu/libc.so.6
>> ?? () from /usr/lib/pulse-1.1/modules/module-alsa-card.so
>> module_alsa_card_LTX_pa__init () from
>> /usr/lib/pulse-1.1/modules/module-alsa-card.so
>> pa_module_load () from /usr/lib/libpulsecore-1.1.so
>> Title: pulseaudio crashed with SIGABRT in raise()
>> UpgradeStatus: Upgraded to precise on 2012-02-16 (0 days ago)
>> UserGroups:
>>
>> ...

Read more...

David Duffey (david-duffey) wrote :

Thanks David, this works! The only thing I don't know how to do is build the i386 .deb files so some legacy apps will still work.

I made sure to install libjack-jack2-0 and friends, otherwise the build-dep was picking up libjack0 which conflicted w/ jack2 and wanted to remove some applications.

Ran "bzr -- -us -uc" to build without changing the changelog.

David Duffey (david-duffey) wrote :

To answer my own question, I was able to build the i386 libraries on amd64 by running

bzr bd -- -S -uc -us
sudo pbuilder --build pulseaudio*.dsc

and then installing the resulting amd64 (from bzr bd) and i386 (from pbuilder).

This allowed me to run the skype client that linked to 32bit libraries.

Thanks again.

Neil Broadley (scaine) wrote :

A short "me too" that David Henningsson's instructions in comment #16 worked perfectly on my system too. Samsung Chronos 7 series running Precise and experiencing the exact same symptoms of this bug.

Many thanks! Hope this makes it into Precise on launch day.

David Henningsson (diwic) wrote :

Yes, it was just released into 12.04. Thanks everyone for testing!

Changed in pulseaudio (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.